@use '../core/variables_scss' as v;

.-b {
  border: 1px solid var(--border-color);
  &--alt { border: 1px solid var(--border-color-alt); }
  &--none { border: none; }

  @each $shorthand, $side in v.$sides {
    &#{$shorthand} { border-#{$side}: 1px solid var(--border-color); }
    &#{$shorthand}--alt { border-#{$side}: 1px solid var(--border-color-alt); }
    &#{$shorthand}--none { border-#{$side}: none; }
  }
}
